<template>
  <div>
    <div v-for="activity in activities" v-bind:key="activity.id">
      <app-activity-status v-bind:activity="activity" v-bind:percentage="(activity.count/total*100).toFixed(2)"/>
    </div>
  </div>
</template>

<script>
import AppActivityStatus from './AppActivityStatus';
export default {
  name: 'AppActivity',
  components: {
    AppActivityStatus
  },
  computed: {
    activities: {
      get: function() {
        return this.$store.state.farmer.farmers.app_activities;
      }
    },
    total: {
      get: function() {
        const activities = this.$store.state.farmer.farmers.app_activities;
        let total = 0;
        let i = 0;
        for (i; i < activities.length; i++) {
          total = total + activities[i].count
        }
        return total;
      }
    }
  }
};
</script>
